org.apache.lucene.codecs.lucene50

## Class Lucene50SegmentInfoFormat

- java.lang.Object
- - org.apache.lucene.codecs.SegmentInfoFormat
  - - org.apache.lucene.codecs.lucene50.Lucene50SegmentInfoFormat

Deprecated.
Only for reading old 5.0-6.0 segments

    @Deprecated
    public class Lucene50SegmentInfoFormat
    extends SegmentInfoFormat

Lucene 5.0 Segment info format.

### Field Summary

Fields
`static String` `SI_EXTENSION` Deprecated. File extension used to store `SegmentInfo`.

### Constructor Summary

Constructors
Constructor and Description
`Lucene50SegmentInfoFormat()` Deprecated. Sole constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`SegmentInfo` `read(Directory dir, String segment, byte[] segmentID, IOContext context)` Deprecated.
`void` `write(Directory dir, SegmentInfo si, IOContext ioContext)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SI_EXTENSION

    public static final String SI_EXTENSION

Deprecated.
File extension used to store `SegmentInfo`.

See Also:
  Constant Field Values

### Constructor Detail

#### Lucene50SegmentInfoFormat

    public Lucene50SegmentInfoFormat()

Deprecated.
Sole constructor.

### Method Detail

#### read

    public SegmentInfo read(Directory dir,
                            String segment,
                            byte[] segmentID,
                            IOContext context)
                     throws IOException

Deprecated.

Specified by:
  `read` in class `SegmentInfoFormat`
Throws:
  `IOException`

#### write

    public void write(Directory dir,
                      SegmentInfo si,
                      IOContext ioContext)
               throws IOException

Deprecated.

Specified by:
  `write` in class `SegmentInfoFormat`
Throws:
  `IOException`